whatsapp
Create broadcast
Create a new draft broadcast. Optionally include initial recipients. After creation, add recipients and then send or schedule the broadcast.
AuthorizationBearer <token>
API key authentication - use your Zernio API key as a Bearer token
In: header
accountIdstring
WhatsApp social account ID
namestring
Broadcast name
description?string
Broadcast description
template
recipients?
Initial recipients (optional)
Response Body
application/json
application/json
curl -X POST "https://zernio.com/api/v1/whatsapp/broadcasts" \ -H "Content-Type: application/json" \ -d '{ "accountId": "507f1f77bcf86cd799439011", "name": "Weekly Newsletter", "description": "Weekly product updates", "template": { "name": "weekly_update", "language": "en_US" }, "recipients": [ { "phone": "+1234567890", "name": "John", "variables": { "1": "John" } } ] }'{
"success": true,
"broadcast": {
"id": "string",
"name": "string",
"description": "string",
"template": {},
"status": "string",
"recipientCount": 0,
"createdAt": "2019-08-24T14:15:22Z"
}
}Empty
{
"error": "Unauthorized"
}Empty